Bug 513057

Summary: xfce4-weather plugin contains weather.com logo
Product: [Fedora] Fedora Reporter: Christoph Wickert <cwickert>
Component: xfce4-weather-pluginAssignee: Christoph Wickert <cwickert>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: rawhideCC: colin, cwickert
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: 0.7.3-1.fc10 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-08-17 18:01:32 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 182235    

Description Christoph Wickert 2009-07-21 15:31:00 EDT
Description of problem:
xfce4-weather-plugin contains the logo of "The Weather channel". I'm not sure if we are allowed to distribute it in Fedora.

The Logo is taken from the weather.com SDK and is the same as 
https://registration.weather.com/web/common/twc/logos/web_73x55.jpg
You can se a screenshot of what it looks like here:
http://cwickert.fedorapeople.org/screenshots/xfce4-weather-plugin.png

According to TWC's "XOAP License Agreement" a link to to their homepage is needed:

> Desktop Applications must be capable of linking directly, or through the 
> automatic launch of an external browser, without any interstitial pages to 
> the TWCi Site (defined herein) from a weather.com logo and from the Required 
> Links (defined herein) returned by the XML Feed (defined herein), by opening 
> a new browser window. Examples include client applications written in C++, 
> Java, Visual Basic, Delphi, or Objective C running on an Internet connected 
> Windows, Macintosh, or Linux personal computer.

and weather.com grants the permission to use the logo:

> You may use either of the images in the "logos" directory, supplied as
> part of the TWCi Software Developers Kit ("SDK"), in accordance with
> the terms of the Agreement. The logo must link directly to the home
> page of the TWCi Site.

Source: https://registration.weather.com/common/eula/xmloap.html

On the other hand the logo is non-free according to Fedora's definitions:

> Trademarks. TWC, The Weather Channel, and weather.com, and each of
> their logos are trademarks of The Weather Channel, Inc. All rights
> reserved. All other trademarks appearing on the Services are the
> property of TWC or their respective owners.   

Source: http://www.weather.com/common/home/legal.html

Can someone please dig through the two licenses and tell me what I should do?

Version-Release number of selected component (if applicable):
xfce4-weather-plugin >= 0.6.3

Additional info:
Thread on the Xfce Goodies mailing list: 
http://foo-projects.org/pipermail/goodies-dev/2009-July/002437.html
Comment 1 Colin Leroy 2009-07-22 03:32:24 EDT
The best solution may be to not ship the Weather.com logo and download it from the plugin.
Comment 2 Fedora Update System 2009-07-28 18:46:04 EDT
xfce4-weather-plugin-0.7.2-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/xfce4-weather-plugin-0.7.2-1.fc11
Comment 3 Fedora Update System 2009-07-28 18:49:08 EDT
xfce4-weather-plugin-0.7.2-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/xfce4-weather-plugin-0.7.2-1.fc10
Comment 4 Christoph Wickert 2009-07-28 18:58:27 EDT
Ping @FE-LEGAL. Is the current solution ok for you? If so, then I'll push the two updates.
Comment 5 Fedora Update System 2009-07-29 17:28:56 EDT
xfce4-weather-plugin-0.7.2-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update xfce4-weather-plugin'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-8079
Comment 6 Fedora Update System 2009-07-29 17:31:13 EDT
xfce4-weather-plugin-0.7.2-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update xfce4-weather-plugin'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-8093
Comment 7 Fedora Update System 2009-07-31 14:00:10 EDT
xfce4-weather-plugin-0.7.2-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Christoph Wickert 2009-08-01 13:20:30 EDT
Oops, this wasn't meant to be closed before I don't have a 'go' from FE-Legal.
Comment 9 Fedora Update System 2009-08-08 19:49:58 EDT
xfce4-weather-plugin-0.7.3-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/xfce4-weather-plugin-0.7.3-1.fc11
Comment 10 Fedora Update System 2009-08-08 19:53:44 EDT
xfce4-weather-plugin-0.7.3-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/xfce4-weather-plugin-0.7.3-1.fc10
Comment 11 Fedora Update System 2009-08-10 17:53:59 EDT
xfce4-weather-plugin-0.7.3-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update xfce4-weather-plugin'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-8450
Comment 12 Fedora Update System 2009-08-10 17:54:21 EDT
xfce4-weather-plugin-0.7.3-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update xfce4-weather-plugin'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-8450
Comment 13 Christoph Wickert 2009-08-16 19:11:10 EDT
Spot, this has been blocking FE-Legal for weeks and now it's flagged NEEDINFO for more than two weeks, too. Please tell me if the current solution is ok for you.
Comment 14 Fedora Update System 2009-08-17 18:01:26 EDT
xfce4-weather-plugin-0.7.3-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2009-08-20 16:57:48 EDT
xfce4-weather-plugin-0.7.3-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.